/*
 * TemplateJDialog.java
 *
 * Created on 1 octobre 2008, 08:26
 */

package org.cocktail.kiwi.client.nibctrl;

import java.awt.BorderLayout;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.eof.EOCodeExer;
import org.cocktail.application.client.eof.EOCodeMarche;
import org.cocktail.application.client.eof.EOExercice;
import org.cocktail.application.client.eof.EOTypeCredit;
import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.kiwi.client.metier.EOModePaiement;
import org.cocktail.kiwi.client.metier.EOParamCodeExer;
import org.cocktail.kiwi.client.metier.EOParamDestination;
import org.cocktail.kiwi.client.metier.EOParamImputation;
import org.cocktail.kiwi.client.metier.EOParamModePaiement;
import org.cocktail.kiwi.client.metier.EOParamTypeCredit;
import org.cocktail.kiwi.client.metier.budget.EOLolfNomenclatureDepense;
import org.cocktail.kiwi.common.utilities.CocktailConstantes;
import org.cocktail.kiwi.common.utilities.CocktailIcones;

import com.webobjects.eointerface.EODisplayGroup;
import com.webobjects.foundation.NSArray;

/**
 *
 * @author  cpinsard
 */
public class ParametrageBudgetaireView extends javax.swing.JDialog {


    private EODisplayGroup eodLolf, eodImputations, eodModesPaiement, eodTypesCredit, eodCodesMarche;
	private ZEOTable myEOTableImputations, myEOTableDestinations, myEOTableTypesCredit, myEOTableModesPaiement, myEOTableCodesMarche;
	private ZEOTableModel myTableModelImputations, myTableModelDestinations, myTableModelTypesCredit, myTableModelModesPaiement, myTableModelCodesMarche;
	private TableSorter myTableSorterImputations, myTableSorterDestinations, myTableSorterTypesCredit, myTableSorterModesPaiement, myTableSorterCodesMarche;

    /** Creates new form TemplateJDialog */
    public ParametrageBudgetaireView(java.awt.Frame parent, boolean modal, EODisplayGroup dgLolf,
    		EODisplayGroup dgImputation,EODisplayGroup dgModePaiement,EODisplayGroup dgTypeCredit, EODisplayGroup eodCodesMarche ) {
        super(parent, modal);

        eodLolf = dgLolf;
        eodImputations = dgImputation;
        eodModesPaiement = dgModePaiement;
        eodTypesCredit = dgTypeCredit;
        this.eodCodesMarche = eodCodesMarche;
                
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewTable2 = new javax.swing.JPanel();
        jLabel7 = new javax.swing.JLabel();
        viewTableLolf = new javax.swing.JPanel();
        btnFermer = new javax.swing.JButton();
        jLabel5 = new javax.swing.JLabel();
        viewTableImputation = new javax.swing.JPanel();
        jLabel6 = new javax.swing.JLabel();
        viewTableModePaiement = new javax.swing.JPanel();
        jLabel8 = new javax.swing.JLabel();
        viewTableTypeCredit = new javax.swing.JPanel();
        jLabel9 = new javax.swing.JLabel();
        btnDelLolf = new javax.swing.JButton();
        btnAddLolf = new javax.swing.JButton();
        btnDeModePaiement = new javax.swing.JButton();
        btnAddModePaiement = new javax.swing.JButton();
        btnDelCompte = new javax.swing.JButton();
        btnAddCompte = new javax.swing.JButton();
        btnDelTypeCredit = new javax.swing.JButton();
        btnAddTypeCredit = new javax.swing.JButton();
        jLabel10 = new javax.swing.JLabel();
        viewTableCodeExer = new javax.swing.JPanel();
        btnAddCodeExer = new javax.swing.JButton();
        btnDelCodeExer = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        popupExercice = new javax.swing.JComboBox();

        viewTable2.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTable2.setLayout(new java.awt.BorderLayout());

        jLabel7.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel7.setForeground(new java.awt.Color(153, 153, 255));
        jLabel7.setText("Actions LOLF");

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("Paramétrages Budgétaires");

        viewTableLolf.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableLolf.setLayout(new java.awt.BorderLayout());

        btnFermer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnFermerActionPerformed(evt);
            }
        });

        jLabel5.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel5.setForeground(new java.awt.Color(153, 153, 255));
        jLabel5.setText("Actions LOLF");

        viewTableImputation.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableImputation.setLayout(new java.awt.BorderLayout());

        jLabel6.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel6.setForeground(new java.awt.Color(153, 153, 255));
        jLabel6.setText("Comptes d'Imputations");

        viewTableModePaiement.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableModePaiement.setLayout(new java.awt.BorderLayout());

        jLabel8.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel8.setForeground(new java.awt.Color(153, 153, 255));
        jLabel8.setText("Modes de Paiement");

        viewTableTypeCredit.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableTypeCredit.setLayout(new java.awt.BorderLayout());

        jLabel9.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel9.setForeground(new java.awt.Color(153, 153, 255));
        jLabel9.setText("Types de crédit");

        jLabel10.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel10.setForeground(new java.awt.Color(153, 153, 255));
        jLabel10.setText("Codes d'achats");

        viewTableCodeExer.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableCodeExer.setLayout(new java.awt.BorderLayout());

        jLabel1.setText("Exercice : ");

        popupExercice.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                        .add(layout.createSequentialGroup()
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                .add(layout.createSequentialGroup()
                                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                        .add(viewTableModePaiement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 246, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(org.jdesktop.layout.GroupLayout.LEADING, viewTableLolf, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 246, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(2, 2, 2)
                                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                        .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                            .add(btnDelLolf, 0, 0, Short.MAX_VALUE)
                                            .add(btnAddLolf, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                        .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                            .add(btnDeModePaiement, 0, 0, Short.MAX_VALUE)
                                            .add(btnAddModePaiement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                                .add(jLabel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 157, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(10, 10, 10)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(jLabel9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(layout.createSequentialGroup()
                                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                        .add(org.jdesktop.layout.GroupLayout.LEADING, viewTableTypeCredit, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 286, Short.MAX_VALUE)
                                        .add(org.jdesktop.layout.GroupLayout.LEADING, viewTableImputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 286, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                            .add(btnDelTypeCredit, 0, 0, Short.MAX_VALUE)
                                            .add(btnAddTypeCredit, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                            .add(btnDelCompte, 0, 0, Short.MAX_VALUE)
                                            .add(btnAddCompte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                                .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 278, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(jLabel10, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 286, Short.MAX_VALUE)
                                .add(viewTableCodeExer, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 286, Short.MAX_VALUE))
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                .add(btnDelCodeExer, 0, 0, Short.MAX_VALUE)
                                .add(btnAddCodeExer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .add(org.jdesktop.layout.GroupLayout.TRAILING, btnFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 51, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(jLabel1)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(popupExercice, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 124, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel1)
                    .add(popupExercice, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 26, Short.MAX_VALUE)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jLabel5)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel6)
                        .add(jLabel10)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(btnAddLolf, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelLolf, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                .add(viewTableLolf, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 224, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(viewTableImputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 224, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(layout.createSequentialGroup()
                                .add(btnAddCompte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnDelCompte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(layout.createSequentialGroup()
                                .add(jLabel8)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .add(btnAddModePaiement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(btnDeModePaiement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(viewTableModePaiement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 224, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                            .add(layout.createSequentialGroup()
                                .add(jLabel9)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .add(btnAddTypeCredit, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(btnDelTypeCredit, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(viewTableTypeCredit, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 224, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
                    .add(viewTableCodeExer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 224, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .add(btnAddCodeExer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelCodeExer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(26, 26, 26)
                .add(btnFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(19, 19, 19))
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-962)/2, (screenSize.height-656)/2, 962, 656);
    }// </editor-fold>//GEN-END:initComponents

    private void btnFermerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnFermerActionPerformed
        // TODO add your handling code here:
        dispose();
    }//GEN-LAST:event_btnFermerActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	ParametrageBudgetaireView dialog = new ParametrageBudgetaireView(new javax.swing.JFrame(), true, null, null, null, null, null);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }






    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected javax.swing.JButton btnAddCodeExer;
    protected javax.swing.JButton btnAddCompte;
    protected javax.swing.JButton btnAddLolf;
    protected javax.swing.JButton btnAddModePaiement;
    protected javax.swing.JButton btnAddTypeCredit;
    protected javax.swing.JButton btnDeModePaiement;
    protected javax.swing.JButton btnDelCodeExer;
    protected javax.swing.JButton btnDelCompte;
    protected javax.swing.JButton btnDelLolf;
    protected javax.swing.JButton btnDelTypeCredit;
    private javax.swing.JButton btnFermer;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JComboBox popupExercice;
    private javax.swing.JPanel viewTable2;
    private javax.swing.JPanel viewTableCodeExer;
    private javax.swing.JPanel viewTableImputation;
    private javax.swing.JPanel viewTableLolf;
    private javax.swing.JPanel viewTableModePaiement;
    private javax.swing.JPanel viewTableTypeCredit;
    // End of variables declaration//GEN-END:variables

   
    
	public void initExercices(NSArray<EOExercice> liste)	 {

		popupExercice.removeAllItems();
		popupExercice.addItem("*");
		for (int i=0;i<liste.count();i++)
			popupExercice.addItem((EOExercice)liste.objectAtIndex(i));

	}

    private void initGui() {
        
    	setTitle("Paramétrage BUDGETAIRE");
    	
    	btnFermer.setIcon(CocktailIcones.ICON_CLOSE);
    	btnAddLolf.setIcon(CocktailIcones.ICON_ADD);
    	btnDelLolf.setIcon(CocktailIcones.ICON_DELETE);
    	btnAddCompte.setIcon(CocktailIcones.ICON_ADD);
    	btnDelCompte.setIcon(CocktailIcones.ICON_DELETE);
    	btnAddModePaiement.setIcon(CocktailIcones.ICON_ADD);
    	btnDeModePaiement.setIcon(CocktailIcones.ICON_DELETE);
    	btnAddTypeCredit.setIcon(CocktailIcones.ICON_ADD);
    	btnDelTypeCredit.setIcon(CocktailIcones.ICON_DELETE);
    	btnAddCodeExer.setIcon(CocktailIcones.ICON_ADD);
    	btnDelCodeExer.setIcon(CocktailIcones.ICON_DELETE);
        
       	Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

		// IMPUTATIONS
		ZEOTableModelColumn col = new ZEOTableModelColumn(eodImputations, EOParamImputation.PLAN_COMPTABLE_KEY + ".pcoNum", "Code", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodImputations, EOParamImputation.PLAN_COMPTABLE_KEY + ".pcoLibelle", "Libelle", 125);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		myTableModelImputations = new ZEOTableModel(eodImputations , myCols);
		myTableSorterImputations  = new TableSorter(myTableModelImputations );

		myEOTableImputations = new ZEOTable(myTableSorterImputations);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterImputations.setTableHeader(myEOTableImputations.getTableHeader());		

		myEOTableImputations.setSelectionBackground(CocktailConstantes.COLOR_SELECT_NOMENCLATURES);
		myEOTableImputations.setBackground(CocktailConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableImputations.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableImputation.setLayout(new BorderLayout());
		viewTableImputation.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableImputation.removeAll();
		viewTableImputation.add(new JScrollPane(myEOTableImputations), BorderLayout.CENTER);

		
		// DESTINATIONS
       	myCols = new Vector<ZEOTableModelColumn>();

		col = new ZEOTableModelColumn(eodLolf, EOParamDestination.TYPE_ACTION_KEY + "." + EOLolfNomenclatureDepense.LOLF_CODE_KEY, "Code", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLolf, EOParamDestination.TYPE_ACTION_KEY + "." + EOLolfNomenclatureDepense.LOLF_LIBELLE_KEY, "Libelle", 125);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
				
		myTableModelDestinations = new ZEOTableModel(eodLolf, myCols);
		myTableSorterDestinations = new TableSorter(myTableModelDestinations);

		myEOTableDestinations = new ZEOTable(myTableSorterDestinations);
		myTableSorterDestinations.setTableHeader(myEOTableDestinations.getTableHeader());
		
		myEOTableDestinations.setSelectionBackground(CocktailConstantes.COLOR_SELECT_NOMENCLATURES);
		myEOTableDestinations.setBackground(CocktailConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableDestinations.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewTableLolf.setBorder(BorderFactory.createEmptyBorder());
		viewTableLolf.removeAll();
		viewTableLolf.setLayout(new BorderLayout());
		viewTableLolf.add(new JScrollPane(myEOTableDestinations), BorderLayout.CENTER);

		// MODES PAIEMENT
       	myCols = new Vector<ZEOTableModelColumn>();
		col = new ZEOTableModelColumn(eodModesPaiement, EOParamModePaiement.MODE_PAIEMENT_KEY + "." + EOModePaiement.MOD_CODE_KEY, "Code", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodModesPaiement, EOParamModePaiement.MODE_PAIEMENT_KEY + "." + EOModePaiement.MOD_LIBELLE_KEY, "Libelle", 125);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		
		myTableModelModesPaiement = new ZEOTableModel(eodModesPaiement, myCols);
		myTableSorterModesPaiement = new TableSorter(myTableModelModesPaiement);
		
		myEOTableModesPaiement = new ZEOTable(myTableSorterModesPaiement);
		
		myTableSorterModesPaiement.setTableHeader(myEOTableModesPaiement.getTableHeader());
		myEOTableModesPaiement.setSelectionBackground(CocktailConstantes.COLOR_SELECT_NOMENCLATURES);
		myEOTableModesPaiement.setBackground(CocktailConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableModesPaiement.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewTableModePaiement.setBorder(BorderFactory.createEmptyBorder());
		viewTableModePaiement.removeAll();
		viewTableModePaiement.setLayout(new BorderLayout());
		viewTableModePaiement.add(new JScrollPane(myEOTableModesPaiement), BorderLayout.CENTER);

		
		// TYPES CREDIT
		myCols = new Vector();
		col = new ZEOTableModelColumn(eodTypesCredit, EOParamTypeCredit.TO_TYPE_CREDIT_KEY + "." + EOTypeCredit.TCD_CODE_KEY , "Code", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodTypesCredit, EOParamTypeCredit.TO_TYPE_CREDIT_KEY + "." + EOTypeCredit.TCD_LIBELLE_KEY, "Libelle", 125);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		
		myTableModelTypesCredit = new ZEOTableModel(eodTypesCredit, myCols);
		myTableSorterTypesCredit = new TableSorter(myTableModelTypesCredit);
	
		myEOTableTypesCredit = new ZEOTable(myTableSorterTypesCredit);
		
		myTableSorterTypesCredit.setTableHeader(myEOTableTypesCredit.getTableHeader());
		myEOTableTypesCredit.setSelectionBackground(CocktailConstantes.COLOR_SELECT_NOMENCLATURES);
		myEOTableTypesCredit.setBackground(CocktailConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableTypesCredit.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewTableTypeCredit.setBorder(BorderFactory.createEmptyBorder());
		viewTableTypeCredit.removeAll();
		viewTableTypeCredit.setLayout(new BorderLayout());
		viewTableTypeCredit.add(new JScrollPane(myEOTableTypesCredit), BorderLayout.CENTER);

		// CODES MARCHE
		myCols = new Vector();
		col = new ZEOTableModelColumn(eodCodesMarche, EOParamCodeExer.TO_CODE_EXER_KEY+"."+EOCodeExer.CODE_MARCHE_KEY+"."+EOCodeMarche.CM_CODE_KEY, "Code", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodCodesMarche, EOParamCodeExer.TO_CODE_EXER_KEY+"."+EOCodeExer.CODE_MARCHE_KEY+"."+EOCodeMarche.CM_LIB_KEY, "Libelle", 125);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		
		myTableModelCodesMarche = new ZEOTableModel(eodCodesMarche, myCols);
		myTableSorterCodesMarche = new TableSorter(myTableModelCodesMarche);
	
		myEOTableCodesMarche = new ZEOTable(myTableSorterCodesMarche);
		
		myTableSorterCodesMarche.setTableHeader(myEOTableCodesMarche.getTableHeader());
		myEOTableCodesMarche.setSelectionBackground(CocktailConstantes.COLOR_SELECT_NOMENCLATURES);
		myEOTableCodesMarche.setBackground(CocktailConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableCodesMarche.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewTableCodeExer.setBorder(BorderFactory.createEmptyBorder());
		viewTableCodeExer.removeAll();
		viewTableCodeExer.setLayout(new BorderLayout());
		viewTableCodeExer.add(new JScrollPane(myEOTableCodesMarche), BorderLayout.CENTER);

    }

	public javax.swing.JButton getBtnAddCodeExer() {
		return btnAddCodeExer;
	}

	public void setBtnAddCodeExer(javax.swing.JButton btnAddCodeExer) {
		this.btnAddCodeExer = btnAddCodeExer;
	}

	public javax.swing.JButton getBtnDelCodeExer() {
		return btnDelCodeExer;
	}

	public void setBtnDelCodeExer(javax.swing.JButton btnDelCodeExer) {
		this.btnDelCodeExer = btnDelCodeExer;
	}

	public javax.swing.JButton getBtnFermer() {
		return btnFermer;
	}

	public void setBtnFermer(javax.swing.JButton btnFermer) {
		this.btnFermer = btnFermer;
	}
    public ZEOTable getMyEOTableImputations() {
		return myEOTableImputations;
	}

	public void setMyEOTableImputations(ZEOTable myEOTableImputations) {
		this.myEOTableImputations = myEOTableImputations;
	}

	public ZEOTable getMyEOTableDestinations() {
		return myEOTableDestinations;
	}

	public void setMyEOTableDestinations(ZEOTable myEOTableDestinations) {
		this.myEOTableDestinations = myEOTableDestinations;
	}

	public ZEOTable getMyEOTableTypesCredit() {
		return myEOTableTypesCredit;
	}

	public void setMyEOTableTypesCredit(ZEOTable myEOTableTypesCredit) {
		this.myEOTableTypesCredit = myEOTableTypesCredit;
	}

	public ZEOTable getMyEOTableModesPaiement() {
		return myEOTableModesPaiement;
	}

	public void setMyEOTableModesPaiement(ZEOTable myEOTableModesPaiement) {
		this.myEOTableModesPaiement = myEOTableModesPaiement;
	}

	public javax.swing.JButton getBtnAddCompte() {
		return btnAddCompte;
	}

	public void setBtnAddCompte(javax.swing.JButton btnAddCompte) {
		this.btnAddCompte = btnAddCompte;
	}

	public javax.swing.JButton getBtnAddLolf() {
		return btnAddLolf;
	}

	public void setBtnAddLolf(javax.swing.JButton btnAddLolf) {
		this.btnAddLolf = btnAddLolf;
	}

	public javax.swing.JButton getBtnAddModePaiement() {
		return btnAddModePaiement;
	}

	public void setBtnAddModePaiement(javax.swing.JButton btnAddModePaiement) {
		this.btnAddModePaiement = btnAddModePaiement;
	}

	public javax.swing.JButton getBtnAddTypeCredit() {
		return btnAddTypeCredit;
	}

	public void setBtnAddTypeCredit(javax.swing.JButton btnAddTypeCredit) {
		this.btnAddTypeCredit = btnAddTypeCredit;
	}

	public javax.swing.JButton getBtnDeModePaiement() {
		return btnDeModePaiement;
	}

	public void setBtnDeModePaiement(javax.swing.JButton btnDeModePaiement) {
		this.btnDeModePaiement = btnDeModePaiement;
	}

	public javax.swing.JButton getBtnDelCompte() {
		return btnDelCompte;
	}

	public void setBtnDelCompte(javax.swing.JButton btnDelCompte) {
		this.btnDelCompte = btnDelCompte;
	}

	public javax.swing.JButton getBtnDelLolf() {
		return btnDelLolf;
	}

	public void setBtnDelLolf(javax.swing.JButton btnDelLolf) {
		this.btnDelLolf = btnDelLolf;
	}

	public javax.swing.JButton getBtnDelTypeCredit() {
		return btnDelTypeCredit;
	}

	public void setBtnDelTypeCredit(javax.swing.JButton btnDelTypeCredit) {
		this.btnDelTypeCredit = btnDelTypeCredit;
	}

	public ZEOTable getMyEOTableCodesMarche() {
		return myEOTableCodesMarche;
	}

	public void setMyEOTableCodesMarche(ZEOTable myEOTableCodesMarche) {
		this.myEOTableCodesMarche = myEOTableCodesMarche;
	}

	public javax.swing.JComboBox getPopupExercice() {
		return popupExercice;
	}

	public void setPopupExercice(javax.swing.JComboBox popupExercice) {
		this.popupExercice = popupExercice;
	}


}
